{
  "name": "@frostime/sy-plugin-libs",
  "version": "0.2.1",
  "author": "frostime",
  "type": "module",
  "description": "A common lib for plugin development",
  "main": "dist/index.js",
  "exports": {
    ".": "./dist/index.js",
    "./changelog": "./dist/changelog/index.js",
    "./api": "./dist/api.js",
    "./sql/*": "./dist/sql/*.js",
    "./components/*": "./dist/components/*.js"
  },
  "typesVersions": {
    "*": {
      "*": [
        "dist/index.d.ts"
      ],
      "changelog": [
        "dist/changelog/index.d.ts"
      ],
      "api": [
        "dist/api.d.ts"
      ],
      "sql/*": [
        "dist/sql/*.d.ts"
      ],
      "components/*": [
        "dist/components/*.d.ts"
      ]
    }
  },
  "scripts": {
    "build": "tsc && tsc-alias && pnpm copy-dts",
    "copy-dts": "copyfiles -u 1 \"src/**/*.d.ts\" dist",
    "package": "pnpm build && pnpm pack"
  },
  "devDependencies": {
    "copyfiles": "^2.4.1",
    "siyuan": "latest",
    "tsc-alias": "^1.8.8"
  },
  "keywords": [],
  "license": "AGPL-3.0"
}